Skip to main content
GET
List Sandboxes

Rate Limit

1000 requests per 60 seconds per IP and token.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

team_id
string | null

Filter by team ID

user_id
string | null

Filter by user ID. When set to another user's ID, the caller must be a team admin of the provided team_id.

status
enum<string> | null

Filter by status

Available options:
PENDING,
PROVISIONING,
RUNNING,
PAUSED,
ERROR,
TERMINATED,
TIMEOUT
is_active
boolean | null

Filter to exclude terminated sandboxes when True

labels
string[] | null

Filter by labels (sandboxes must have ALL specified labels)

page
integer
default:1

Page number

Required range: x >= 1
per_page
integer
default:50

Items per page

Required range: 1 <= x <= 1000
cursor
string | null

Opaque pagination cursor from next_cursor. Pages the full history at constant cost; page is ignored and total is null

Response

Successful Response

sandboxes
SandboxResponse · object[]
required
page
integer
required
per_page
integer
required
has_next
boolean
required
total
integer | null
next_cursor
string | null